Subject: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Vladimir Lomov <[email-masked]>
Date: Tue, 14 Jun 2022 11:04:06 +0800

Hello,
** Eli Zaretskii <[email-masked]> [2022-06-12 10:03:24 +0300]:

>> From: Po Lu <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 12 Jun 2022 14:40:11 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>>> In addition, I don't think I understand what is the feature (in
>>> user-level terms, not in terms of X-specific internal details) is
>>> being sought out here.
>>>
>>> The discussion mentioned various options of Emacs and emacsclient,
>>> which are meant to support multiple Emacs servers running on the same
>>> system and the ability of emacsclient to connect to one specific
>>> server.  This functionality does work, so if that is not what is being
>>> requested here, then what is?  IOW, why is important what is the
>>> WM_CLASS of Emacs?
>> 
>> I think what Vladmir wants is for two copies of Emacs to be displayed as
>> two "different" applications by pagers and window managers, which rely
>> on the WM_CLASS property of a window to associate it with an
>> application.

Yes, exactly that.

> Why?  What would that gain in user-level terms?

I'm using AwesomeWM and it allows me to set windows in different tags (think
of them as "workspaces"). I have two "instances" (two a bit different
configurations) of Emacs, one for programming and one for other tasks (i.e.
they use different packages). I prefer to run first instance ("other") on
"emacs" tag while second instance is placed in "misc" tag.

Of course, this is WM (X actually) dependent feature and I'm not sure if it
would work on Wayland. Now I build emacs with 'pgtk' and didn't check how it
works.

---
WBR, Vladimir Lomov

-- 
McGowan's Madison Avenue Axiom:
	If an item is advertised as "under $50", you can bet it's not $19.95.